@base <https://purl.org/coscine/ap/qudt/quantitykind/InformationEntropy/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/InformationEntropy/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Information Entropy sind."@de,
    "Profile for all units that are a/an Information Entropy."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Information Entropy"@de,
    "Unit: Information Entropy"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BAN unit:BIT unit:BYTE unit:ERLANG unit:ExaBYTE unit:ExbiBYTE unit:GibiBYTE unit:GigaBYTE unit:HART unit:KibiBYTE unit:KiloBYTE unit:MebiBYTE unit:MegaBYTE unit:NAT unit:PebiBYTE unit:PetaBYTE unit:SHANNON unit:TebiBYTE unit:TeraBYTE ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BAN rdfs:label "Ban"@en .
unit:BIT rdfs:label "Bit"@en .
unit:BYTE rdfs:label "Byte"@en .
unit:ERLANG rdfs:label "Erlang"@en .
unit:ExaBYTE rdfs:label "Exabyte"@en .
unit:ExbiBYTE rdfs:label "Exbibyte"@en .
unit:GibiBYTE rdfs:label "Gibibyte"@en .
unit:GigaBYTE rdfs:label "Gigabyte"@en .
unit:HART rdfs:label "Hartley"@en .
unit:KibiBYTE rdfs:label "Kibibyte"@en .
unit:KiloBYTE rdfs:label "Kilo Byte"@en .
unit:MebiBYTE rdfs:label "Mebibyte"@en .
unit:MegaBYTE rdfs:label "Mega Byte"@en .
unit:NAT rdfs:label "Nat"@en .
unit:PebiBYTE rdfs:label "Pebibyte"@en .
unit:PetaBYTE rdfs:label "Petabyte"@en .
unit:SHANNON rdfs:label "Shannon"@en .
unit:TebiBYTE rdfs:label "Tebibyte"@en .
unit:TeraBYTE rdfs:label "Terabyte"@en .
